View Issue Details

IDProjectCategoryView StatusLast Update
0025155LazarusPackagespublic2013-11-22 10:22
ReporterEdson LidorioAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
PlatformWindowsOSWindows 7OS VersionSeven
Product Version1.0.12Product BuildRevisão: 43135 
Target VersionFixed in Version1.3 (SVN) 
Summary0025155: Error when compiling LazReport
DescriptionHello,

This generates the following error when compiling rev.: 43135 of Lazareport

C:\des\componentes\lazreport\source\lr_class.pas(1951,71) Error: Incompatible type for arg no. 2: Got "ShortString", expected "TCustomBitmapClass"
TagsNo tags attached.
Fixed in Revision43139,43143
LazTarget-
WidgetsetWin32/Win64
Attached Files

Activities

Paul Ishenin

2013-10-07 02:33

manager   ~0070593

Sorry, fixed.

Robson Dantas

2013-10-07 02:41

reporter   ~0070594

Last edited: 2013-10-07 02:41

View 2 revisions

missing fix for gtk2

Lazarus 1.3 r43121M FPC 2.6.2 i386-linux-gtk 2

Edson Lidorio

2013-10-07 03:03

reporter   ~0070595

Continues with errors rev.43139 yet!
I'm using Lazarus 1.0.12 fpc 2.6.2

C:\des\componentes\Lazreport svn\source\lr_class.pas(1951,47) Error: Identifier not found "CreateBitmapFromResourceName"

Do-wan Kim

2013-10-07 03:26

reporter   ~0070596

rev.43139 raise error "type mismatch(TCustomBitmap => TBitmap)".

I fixed like this.

constructor TfrNonVisualControl.Create(AOwnerPage: TfrPage);
begin
  inherited Create(AOwnerPage);
  ControlImage := TBitmap(CreateBitmapFromResourceName(HInstance, ClassName));
  dx := 28;
  dy := 28;
end;

Stephano

2013-10-07 06:55

developer   ~0070597

components/lazreport/source/lr_class.pas(1951,19) Error: Incompatible types: got "TCustomBitmap" expected "TBitmap"

Lazarus 1.3 r43135M FPC 2.6.3 i386-linux-gtk 2

Paul Ishenin

2013-10-07 09:55

manager   ~0070602

I changed ControlImage type. Please check and close.

Edson Lidorio

2013-10-07 13:54

reporter   ~0070609

Hello Paul Ishenin,
There must be some problem. When trying to compile my Lazarus 1.0.12 fpc 2.6.2, still the same error occurs.

C:\des\Componentes\lazreport\source\lr_class.pas(1951,47) Error: Identifier not found "CreateBitmapFromResourceName"

Stephano

2013-10-07 21:24

developer   ~0070636

@Edson, Are you using Lazarus trunk (svn) or Lazarus 1.0.12?

You cannot usually mix and match between both.

Edson Lidorio

2013-10-07 22:21

reporter   ~0070643

I'm using Lazarus 1.0.12 and LazReport svn.

Paul Ishenin

2013-10-08 11:21

manager   ~0070650

> I'm using Lazarus 1.0.12 and LazReport svn.

Either use Lazarus svn or use LazReport from Lazarus 1.0.12 or before the change. There are no other ways.

Edson Lidorio

2013-10-09 03:32

reporter   ~0070688

ok,
which version of svn is most appropriate?

Edson Lidorio

2013-11-22 10:22

reporter   ~0071481

Hello,

This problem still perciste in Lazarus 1.0.14.

C:\des\Componentes\lazreport svn\source\lr_class.pas(1973,47) Error: Identifier not found "CreateBitmapFromResourceName"

[]'s

Edson

Issue History

Date Modified Username Field Change
2013-10-06 19:36 Edson Lidorio New Issue
2013-10-06 21:19 Stephano LazTarget => -
2013-10-06 21:19 Stephano Assigned To => Paul Ishenin
2013-10-06 21:19 Stephano Status new => confirmed
2013-10-07 02:33 Paul Ishenin Fixed in Revision => 43139
2013-10-07 02:33 Paul Ishenin Note Added: 0070593
2013-10-07 02:33 Paul Ishenin Status confirmed => resolved
2013-10-07 02:33 Paul Ishenin Fixed in Version => 1.3 (SVN)
2013-10-07 02:33 Paul Ishenin Resolution open => fixed
2013-10-07 02:41 Robson Dantas Note Added: 0070594
2013-10-07 02:41 Robson Dantas Note Edited: 0070594 View Revisions
2013-10-07 03:03 Edson Lidorio Note Added: 0070595
2013-10-07 03:26 Do-wan Kim Note Added: 0070596
2013-10-07 06:55 Stephano Note Added: 0070597
2013-10-07 06:55 Stephano Status resolved => assigned
2013-10-07 06:55 Stephano Resolution fixed => reopened
2013-10-07 09:55 Paul Ishenin Fixed in Revision 43139 => 43139,43143
2013-10-07 09:55 Paul Ishenin Note Added: 0070602
2013-10-07 09:55 Paul Ishenin Status assigned => resolved
2013-10-07 09:55 Paul Ishenin Resolution reopened => fixed
2013-10-07 13:54 Edson Lidorio Note Added: 0070609
2013-10-07 13:55 Edson Lidorio Status resolved => assigned
2013-10-07 13:55 Edson Lidorio Resolution fixed => reopened
2013-10-07 21:24 Stephano Note Added: 0070636
2013-10-07 22:21 Edson Lidorio Note Added: 0070643
2013-10-08 11:21 Paul Ishenin Note Added: 0070650
2013-10-08 11:21 Paul Ishenin Status assigned => resolved
2013-10-08 11:21 Paul Ishenin Resolution reopened => fixed
2013-10-09 03:32 Edson Lidorio Note Added: 0070688
2013-11-22 10:22 Edson Lidorio Note Added: 0071481